2011-03-29  Andrew Overholt  <overholt@redhat.com>

	* pom.xml: Let Tycho figure out which tests to run.

2010-10-26  Alexander Kurtakov  <akurtako@redhat.com>
	
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/hyperlink/MailHyperlinkDetectorTest.java (testDetectHyperlinks): Adapt to API changes.
	(testDetectHyperlinksNoRegionAndTextViewer): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/hyperlink/SourcesFileHyperlinkDetectorTest.java (testDetectHyperlinks): Likewise.
	(testDetectHyperlinksNoRegionAndTextViewer): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/hyperlink/SpecfileElementHyperlinkDetectorTest.java (testDetectHyperlinks): Likewise.
	(testDetectHyperlinksNoRegionAndTextViewer): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/hyperlink/URLHyperlinkWithMacroDetectorTest.java (testDetectHyperlinks): Likewise.

2010-07-20  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileTestFailure.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/EpochTagTest.java (testNullEpochTag): Change
	to get SpecfileTestFailures instead of IMarkers.
	(testNullEpochTag2): Ditto.
	(testMultipleEpochsTag): Ditto.
	(testMultipleEpochsTag2): Ditto.
	(testNonIntegerEpoch): Ditto.
	(testNonIntegerEpoch2): Ditto.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HeaderRecognitionTest.java (testGetComplexSectionName2): Ditto. 
	(testGetComplexSectionName7): Ditto.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/NameTagTests.java (testNullNameTag): Ditto.
	(testNullNameTag2): Ditto.
	(testMultipleNamesTag): Ditto.
	(testMultipleNamesTag2): Ditto.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/parser/SpecfileDefineTest.java (testNonLetterDefinitionName): Ditto. 
	(testNonLetterDefinitionName2): Ditto.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/ReleaseTagTests.java (testNullReleaseTag): Ditto. 
	(testNullReleaseTag2): Ditto.
	(testMultipleReleasesTag): Ditto.
	(testMultipleReleasesTag2): Ditto.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/VersionTagTests.java (testNullVersionTag): Ditto.
	(testNullVersionTag2): Ditto.
	(testMultipleVersionsTag): Ditto.
	(testMultipleVersionsTag2): Ditto.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/FileTestCase.java (newFile): Change to connect to
	document provider and disconnect from document provider. 
	(getFailureMarkers): Renamed to getFailures.
	(setUp): Use test case name to form spec file name.
	(getFailures): Renamed from getFailureMarkers to use annotation model
	instead of IMarkers.

2010-03-01  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/hyperlink/SourcesFileHyperlinkDetectorTest.java (testDetectHyperlinks): Fix number of hyperlink detectors.

2010-01-19  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Require core.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmMacroProposalsListTest.java: Use Utils from core.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmPackageProposalsListTest.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileTestProject.java: Likewise.

2010-01-18  Alexander Kurtakov  <akurtako@redhat.com>
    Remove an empty test class now that it's AbstractHandler not an ActionDelegate.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/actions/SpecfileEditorShowOutlineActionDelegateTest.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/actions/ActionsAllTests.java (suite): Remove action delegate test.

2009-08-07  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.properties: Fix provider to be Eclipse not Eclipse.org.

2009-07-08  Alphonse Van Assche  <alcapcom@fedoraproject.org>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/scanners/SpecfilePackagesScannerTest.java : Fix disabled tests.  

2009-05-19  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/parser/SpecfileDefineTest.java (testResolve): Fix compile.

2009-05-14  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Sync release with the feature 0.4.3.

2009-05-08  Alphonse Van Assche <alcapcom@fedoraproject.org>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/parser/SpecfileDefineTest.java: Disable test define 
	without value, because of the fact that this error is no more managed by our internal parser.  

2009-04-02  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmMacroProposalsListTest.java (testGetMacroEval): Fix %_libdir expectation.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmPackageProposalsListTest.java (testGetRpmInfo): Use rpm package for the test.
	(setUp): Add rpm to the packagelist.
	(testGetValue): Use rpm package for the test.
	
2009-04-02  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmMacroProposalsListTest.java (testGetMacroEval): Run the test only when rpm executable is available.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmPackageProposalsListTest.java (setUp): Fix deprecation.
	(testGetRpmInfo): Exec only when rpm executable is available.
	(testGetValue): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/scanners/SpecfilePackagesScannerTest.java (setUp): Likewise.

2009-03-26  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.ui.prefs: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/actions/ActionsAllTests.java (suite): Add one more test.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/actions/SpecfileEditorShowOutlineActionDelegateTest.java: New file. 

2009-03-08  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/scanners/SpecfileScannerTest.java (testKeyword): Fix order in asserts.

2009-03-04  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/actions/ActionsAllTests.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/actions/SpecfileChangelogFormatterTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/actions/SpecfileChangelogParserTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java (suite): Add new tests.

2009-02-28  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/hyperlink/MailHyperlinkDetectorTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/hyperlink/SourcesFileHyperlinkDetectorTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/hyperlink/HyperlinkAllTests.java (suite): Add new test files.

2009-02-25  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/hyperlink/HyperlinkAllTests.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/hyperlink/SpecfileElementHyperlinkDetectorTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java (suite): Add HyperlinkAllTests.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/EpochTagTest.java: Add 2009 to the Copyright year.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/FileTestCase.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HeaderRecognitionTest.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/LicenseTagTest.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/LinePositionTests.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/NameTagTests.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/parser/SourceComparatorTest.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/parser/SpecfileDefineTest.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/parser/SpecfileTest.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/PatchApplicationTest.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/ReleaseTagTests.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileCompletionProcessorTest.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileTestProject.java: Likewise. 
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/VersionTagTests.java: Likewise. 
	
2009-02-25  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/DefineTests.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/parser/SpecfileDefineTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java (suite): Remove DefineTests, which is renamed and moved.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/FileTestCase.java: More protected fields.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/parser/ParserAllTests.java (suite): Add SpecfileDefineTest.

2009-02-25  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HyperlinkWithMacroTests.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SourceComparatorTests.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/hyperlink/URLHyperlinkWithMacroDetectorTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/parser/ParserAllTests.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/parser/SourceComparatorTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java (suite): Use ParserAllTests instead of every test.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/FileTestCase.java: Make testFileProtected.
	
2009-02-25  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RefactoringTests.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/parser/SpecfileTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java (suite): Adapt to SpecfileTest rename.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/FileTestCase.java: Make specfile member protected.
	
2009-02-18  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/LinePositionTests.java (testLineNumber): Adapt to latest api changes.
	(testLineNumber2): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SourceComparatorTests.java (testPatchComparator): Likewise.
	(testPatchComparator2): Likewise.

2009-02-06  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileTestProject.java (dispose): Use utils for command invocation.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/scanners/SpecfilePackagesScannerTest.java (getContents): Do not concatenate strings.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/scanners/SpecfileScannerTest.java (getContents): Likewise.

2009-02-02  Andrew Overholt  <overholt@redhat.com>

	* test.xml: Update.

2009-01-14  Alexander Kurtakov  <akurtako@redhat.com>
	Mimic plugin packages for easier navigation.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmMacroProposalsListTests.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmPackageProposalsListTests.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileChangelogScannerTests.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfilePackagesScannerTests.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileScannerTests.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmMacroProposalsListTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmPackageProposalsListTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/scanners/ScannersAllTests.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/scanners/SpecfileChangelogScannerTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/scanners/SpecfilePackagesScannerTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/scanners/SpecfileScannerTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java 
	(suite): Add ScannersAllTests.suite not every scaner test separately.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AScannerTest.java: Make it public.

2008-12-04  Andrew Overholt  <overholt@redhat.com>

	* build.properties: Add test.xml to bin.includes.

2008-12-02  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileCompletionProcessorTest.java
	(setUp): Removed - not needed.
	(tearDown): Likewise.
	(initEditor): Don't do things done in the parent.

2008-11-30  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/EditorTests.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/ParserTests.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/FileTestCase.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java (suite): Don't add empty test case.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AScannerTest.java: Extend FileTestCase and skip work done in parent.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/DefineTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/EpochTagTest.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HeaderRecognitionTest.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HyperlinkWithMacroTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/LicenseTagTest.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/LinePositionTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/NameTagTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/PatchApplicationTest.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RefactoringTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/ReleaseTagTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmMacroProposalsListTests.java: Remove unneeded constructor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileChangelogScannerTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SourceComparatorTests.java: Extend FileTestCase and skip work done in parent.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfilePackagesScannerTests.java
	(setUp): Throw correct exception.
	(SpecfilePackagesScannerTests): Removed unneeded constructor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileScannerTests.java
	(SpecfileScannerTests): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/VersionTagTests.java: Extend FileTestCase and skip work done in parent.

2008-11-29  Alexander Kurtakov  <akurtakov@gmail.com>
	Adopt imports to the editor package movements.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileCompletionProcessorTest.java: Adopt imports.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileScannerTests.java: Likewise.

2008-11-28  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileChangelogScannerTests.java: Adapt to package movements.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileCompletionProcessorTest.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfilePackagesScannerTests.java: Likewise.

2008-11-27  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SourceComparatorTests.java
	(testPatchComparator2): Use the generic method.

2008-11-26  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix imports caused by the marker handlers moving.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/DefineTests.java: Fix imports.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/EpochTagTest.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HeaderRecognitionTest.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HyperlinkWithMacroTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/LicenseTagTest.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/LinePositionTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/NameTagTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/PatchApplicationTest.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RefactoringTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/ReleaseTagTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SourceComparatorTests.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/VersionTagTests.java: Likewise.

2008-11-19  Alexander Kurtakov  <akurtakov@gmail.com>

	* .settings/org.eclipse.jdt.core.prefs: Add project specific compiler warnings.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java
	(suite): Enable SpecfilePackagesScannerTests.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileCompletionProcessorTest.java
	(setUp): Add missing @Override.
	(tearDown): Likewise.

2008-11-19  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix #214247 + cleanups.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileCompletionProcessorTest.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java
	(suite): Run SpecfileCompletionProcessorTest.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AScannerTest.java
	(setUp): Ensure using the modified test file.
	(tearDown): Do not dispose editor.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HyperlinkWithMacroTests.java
	(testMacroResolutionInUrl): Ensure using the modified test file.
	(newFile): Force changing file content.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileTestProject.java
	(createFile): Use the parameter as a file name instead of the hardcoded value.
	(refresh): New method to synchronize the project content with local fs.

2008-11-06  Andrew Overholt  <overholt@redhat.com>

	* test.xml: gef-folder -> specfile-folder.

2008-11-05  Andrew Overholt  <overholt@redhat.com>

	* test.xml: New file to drive tests on build.eclipse.org.

2008-11-01  Alexander Kurtakov  <akurtakov@gmail.com>

	* META-INF/MANIFEST.MF: Replace deprecated Eclipse-LazyStart usage.
	* build.properties: Add plugin.properties to bin.includes.

2008-10-31  Andrew Overholt  <overholt@redhat.com>

	* plugin.properties: Initial import.
	* META-INF/MANIFEST.MF: Use plugin.properties.  Add "(Incubation)".

2008-07-04  Andrew Overholt  <overholt@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Set to 1.5.

2008-07-03  Alexander Kurtakov  <akurtakov@gmail.com>
	Adapt to Java 5 and cleanup.
	* META_INF/MANIFEST.MF: Bump Bundle-RequiredExecutionEnvironment to J2SE-1.5.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AScannerTest.java:
	(setUp): Add @Override.
	(tearDown): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/DefineTests.java:
	(setUp): Likewise.
	(tearDown): Likewise.
	(testDefine): Don't catch Exception when it's not thrown.
	(testDefine2): Likewise.
	(testDefine3): Likewise.
	(testDefine4): Likewise.
	(testUnderscoreDefine): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/EditorTests.java:
	(start): Add @Override.
	(stop): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/EpochTagTest.java:
	(setUp): Likewise.
	(tearDown): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HeaderRecognitionTest.java:
	(setUp): Likewise.
	(tearDown): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HyperlinkWithMacroTest.java:
	(setUp): Likewise.
	(tearDown): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/LicenseTagTest.java:
	(setUp): Likewise.
	(tearDown): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/LinePositionTest.java:
	(setUp): Likewise.
	(tearDown): Likewise.
	(testLineNumber): Use foreach instead of iterator.
	(testLineNumber2): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/NameTagTest.java:
	(setUp): Add @Override.
	(tearDown): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/ParserTests.java:
	(setUp): Likewise.
	(tearDown): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/PatcApplicationTest.java:
	(setUp): Likewise.
	(tearDown): Likewise.
	(testMultiplePatchLineNumbers): Use foreach instead of iterator.
	(testPatchLineNumber): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RefactoringTests.java:
	(setUp): Add @Override.
	(tearDown): Likewise.
	(testOrganizePatches): Generify.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/ReleaseTagTests.java:
	(setUp): Add @Override.
	(tearDown): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmMacroProposalsListTests.java:
	(setUp): Likewise.
	(testGetProposals): Generify.
	(testGetProposals): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmPackageProposalsListTests.java:
	(setUp): Add @Override.
	(testGetProposals): Generify.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SourceComparatorTests.java:
	(setUp): Add @Override.
	(tearDown): Likewise.
	(testPatchComparator): Use foreach instead of iterator.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileChangelogScannerTests.java:
	(getContents): Add @Override.
	(getScanner): Likewise.
	(testMail): Remove unneeded catch and variable.
	(testSection): Likewise.
	(testVerRel): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfilePackagesScannerTests.java:
	(getContents): Add @Override.
	(getScanner): Likewise.
	(setUp): Likewise.
	(testComment): Remove unneeded catch and variable.
	(testPackageTag): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileScannerTests.java:
	(getContents): Add @Override.
	(getScanner): Likewise.
	(testComment): Remove unneeded catch and variable.
	(testDefineCorrectlyScanned): Likewise.
	(testDefinedMacro): Likewise.
	(testKeyword): Likewise.
	(testMacro): Likewise.
	(testSection): Likewise.
	(testTag): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/VersionTagTests.java:
	(setUp): Add @Override.
	(tearDown): Likewise.

2008-05-12  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix compile.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HyperlinkWithMacroTests.java:
	Fix compile.

2008-04-08  Alexander Kurtakov <akurtakov@gmail.com>

	* .classpat: Bump requirement to java 5.

2007-07-05  Andrew Overholt  <overholt@redhat.com>

	* Too many files to list: Add standard copyright and license header.

2007-06-22  Alphonse Van Assche  <alcapcom@gmail.com>

	* META-INF/MANIFEST.MF: Add "org.eclipse.ui.editors" dependencie requiere by
	Ecliple 3.3

2007-06-20  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AScannerTest.java:
	Abstract test case class for scanners.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java
	(suite): Add new test cases classes.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileScannerTests.java:
	New tests.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfilePackagesScannerTests.java:
	New tests.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileChangelogScannerTests.java:
	New tests.

2007-06-20  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmPackageProposalsListTests.java
	(tearDown): Remove method.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/SpecfileTestProject.java
	(dispose): Remove /tmp/pkglist file at the end of the test suite.

2007-06-20  Alphonse Van Assche  <alcapcom@gmail.com>

	* META-INF/MANIFEST.MF: Add  org.eclipse.ui.ide package.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java
	(suite): Enable HyperlinkWithMacroTests.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HyperlinkWithMacroTests.java
	(testMacroResolutionInUrl): Using org.eclipse.ui.ide.IDE.openEditor to get the
	editor instance.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/LicenseTagTest.java:
	(testMultipleLicenseTag): Disable this test case according with the current
	code.

2007-05-04  Andrew Overholt  <overholt@redhat.com>

	Bug #185598
	* META-INF/MANIFEST.MF: Add "Incubation" to Bundle-Name.  Add Bundle-Vendor.

2007-04-16  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java (suite):
	Add (commented-out) HyperlinkWithMacroTests.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HyperlinkWithMacroTests.java:
	New file.

2007-04-12  Alphonse Van Assche  <alcapcom@gmail.com>

	Bug #181236
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmPackageProposalsListTests.java:
	New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/RpmMacroProposalsListTests.java:
	New file.
	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/AllTests.java
	(suite): Add new tests.

2007-04-05  Remy Suen  <remy.suen@gmail.com>

	Bug #181249
	* META-INF/MANIEST.MF: Set the Bundle-RequiredExecutionEnvironment
	attribute to J2SE-1.4.

2007-04-05  Andrew Overholt  <overholt@redhat.com>

	* .classpath: Remove spurious junit.jar entry (bug #181238).

2007-04-05  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HeaderRecognitionTest.java
	(newFile): Remove unnecessary specfile instantiation.
	(setUp): Instantiate specfile object.
	(testGetComplexSectionName3): Update test to use getPackageName() instead of getName().
	(testGetComplexSectionName4): Likewise.
	(testGetComplexSectionName5): Likewise.

2007-04-04  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/editor/tests/HeaderRecognitionTest.java
	(newFile): Un-comment creation of specfile object.
	* .settings/org.eclipse.jdt.core.prefs: New file.
	* .classpath: New file.  Set J2SE-1.4 as EE.

2007-03-28  Andrew Overholt  <overholt@redhat.com>

        Re-namespace to org.eclipse.linuxtools.rpm.ui.editor.tests.

2006-11-07  Andrew Overholt  <overholt@redhat.com>

	Add license tag tests.

	* src/org/eclipse/cdt/rpm/editor/tests/LicenseTagTest.java: New file.
	* src/org/eclipse/cdt/rpm/editor/tests/DefineTests.java: Re-write to better handle out-of-order error markers.
	* src/org/eclipse/cdt/rpm/editor/tests/AllTests.java (suite): Add license tag tests.

2006-10-03  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/tests/RefactoringTests.java: New file.
	* src/org/eclipse/cdt/rpm/editor/tests/PatchApplicationTest.java
	(testPatchLineNumber): Fix line numbers.
	(testMultiplePatchLineNumbers): Likewise.
	* src/org/eclipse/cdt/rpm/editor/tests/LinePositionTests.java
	(testLineNumber2): New method.
	(testLineNumber): Likewise.
	* src/org/eclipse/cdt/rpm/editor/tests/HeaderRecognitionTest.java
	(testGetComplexSectionName2): Remove unused 'element'.
	(testGetComplexSectionName7): Likewise.
	* src/org/eclipse/cdt/rpm/editor/tests/AllTests.java
	(suite): Add SourceComparator and Refactoring tests.
	* src/org/eclipse/cdt/rpm/editor/tests/SourceComparatorTests.java: Clean up
	imports.

2006-09-19  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/tests/SourceComparatorTests.java: New file.
	* src/org/eclipse/cdt/rpm/editor/tests/PatchApplicationTest.java
	(testPatchLineNumber): New test. Ensure patch application line number is
	correctly parsed.
	(testMultiplePatchLineNumbers): Likewise but for multiple applications of the
	same patch.

2006-09-05  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/tests/AllTests.java
	(suite): Re-enable all tests.

2006-09-04  Igor Foox  <ifoox@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/tests/EpochTagTest.java: Fix imports.
	* src/org/eclipse/cdt/rpm/editor/tests/DefineTests.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/tests/VersionTagTests.java: Fix tests
	to new testing process.
	* src/org/eclipse/cdt/rpm/editor/tests/LinePositionTests.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/tests/NameTagTests.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/tests/ReleaseTagTests.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/tests/PatchApplicationTest.java: Likewise.
	* src/org/eclipse/cdt/rpm/editor/tests/HeaderRecognitionTest.java: Likewise.
	(testMain): Removed unused method.

2006-09-01  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/cdt/rpm/editor/tests/AllTests.java: New file.
	(suite): New method.  Suite for all tests.
	* src/org/eclipse/cdt/rpm/editor/tests/SpecfileTestProject.java: New file.
	(createFile): New method.
	(getFailureMarkers): Likewise.
	(SpecfileTestProject): Likewise.
	(dispose): Likewise.
	* src/org/eclipse/cdt/rpm/editor/tests/EpochTagTest.java: Re-write to use
	SpecfileTestProject.
	* src/org/eclipse/cdt/rpm/editor/tests/DefineTests.java: Likewise.
	* META-INF/MANIFEST.MF: Add dependency on editor plugin.
	* .classpath: Add JUnit dependency.